<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.XTC2.AP.set.trade.lvl</name>
<version>1</version>
<engineversion>25</engineversion>
<description>XTC2 wrapper for Set trade level from xp</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Xai&#160;Corporation&#160;Trade&#160;Command&#160;Software&#160;Mk2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><var>$cmd.galaxy&#160;=&#160;</var><var>COMMAND_XAI_XTC2_TRADE_GALAXY</var></line>
<line linenr="006" indent=""><var>$cmd.sector&#160;=&#160;</var><var>COMMAND_XAI_XTC2_TRADE_SECTOR</var></line>
<line linenr="007" indent=""></line>
<line linenr="008" indent=""><comment><text>*&#160;</text><var>run&#160;standard&#160;set&#160;level</var></comment></line>
<line linenr="009" interruptable="@" indent=""><var>$lvl&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.set.trade.lvl</call><text>&#160;:&#160;</text></line>
<line linenr="010" indent=""></line>
<line linenr="011" indent=""><comment><text>*&#160;</text><var>set&#160;alternate&#160;scripts&#160;for&#160;higher&#160;levels</var></comment></line>
<line linenr="012" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$lvl</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>2</var></line>
<line linenr="013" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;connect&#160;ship&#160;command/signal&#160;</text><var>$cmd.galaxy</var><text>&#160;to&#160;script&#160;</text><call>plugin.Xai.XTC2.cmd.trade.wander</call><text>&#160;with&#160;prio&#160;</text><var>0</var></line>
<line linenr="014" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$lvl</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>4</var></line>
<line linenr="015" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;connect&#160;ship&#160;command/signal&#160;</text><var>$cmd.galaxy</var><text>&#160;to&#160;script&#160;</text><call>plugin.Xai.XTC2.cmd.trade.galaxy</call><text>&#160;with&#160;prio&#160;</text><var>0</var></line>
<line linenr="016" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$lvl</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>3</var></line>
<line linenr="017" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;connect&#160;ship&#160;command/signal&#160;</text><var>$cmd.sector</var><text>&#160;to&#160;script&#160;</text><call>plugin.Xai.XTC2.cmd.trade.ranger</call><text>&#160;with&#160;prio&#160;</text><var>0</var></line>
<line linenr="018" indent=""></line>
<line linenr="019" indent=""><text>return&#160;</text><var>$lvl</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.XTC2.AP.set.trade.lvl" /><sval type="int" val="25" /><sval type="string" val="XTC2 wrapper for Set trade level from xp" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="3"><sval type="string" val="cmd.galaxy" /><sval type="string" val="cmd.sector" /><sval type="string" val="lvl" /></sval><sval type="array" size="10"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="424" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="423" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.set.trade.lvl" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611448" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="113" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="string" val="plugin.Xai.XTC2.cmd.trade.wander" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610936" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="113" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="string" val="plugin.Xai.XTC2.cmd.trade.galaxy" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610424" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="113" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="string" val="plugin.Xai.XTC2.cmd.trade.ranger" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /><sval type="array" size="9"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Xai Corporation Trade Command Software Mk2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="2" /><sval type="int" val="1" /><sval type="string" val="run standard set level" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="3" /><sval type="int" val="1" /><sval type="string" val="set alternate scripts for higher levels" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
